com.rscja.team.qcom

## Class DeviceConfiguration_qcom.Platform

- java.lang.Object
- - com.rscja.team.qcom.DeviceConfiguration_qcom.Platform

- Enclosing class:
    DeviceConfiguration_qcom

      public static class DeviceConfiguration_qcom.Platform
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CPU_MTK_6735`
    `static java.lang.String` | `CPU_MTK_6763`
    `static java.lang.String` | `CPU_MTK_6765`
    `static java.lang.String` | `CPU_MTK_8786`
    `static java.lang.String` | `CPU_QUACOMM_4350`
    `static java.lang.String` | `CPU_QUACOMM_8909`
    `static java.lang.String` | `CPU_QUACOMM_8953`
    `static java.lang.String` | `CPU_QUACOMM_QCM2150`
    `static java.lang.String` | `CPU_QUACOMM_SM6115`
    `static java.lang.String` | `CPU_QUACOMM_SMD450`
    `static java.lang.String` | `CPU_RK_3568`
    `static java.lang.String` | `MTK`
    `static java.lang.String` | `QUACOMM`
    `static java.lang.String` | `RK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Platform()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### QUACOMM

          public static final java.lang.String QUACOMM

      See Also:
        Constant Field Values

    - #### MTK

          public static final java.lang.String MTK

      See Also:
        Constant Field Values

    - #### RK

          public static final java.lang.String RK

      See Also:
        Constant Field Values

    - #### CPU_QUACOMM_QCM2150

          public static final java.lang.String CPU_QUACOMM_QCM2150

      See Also:
        Constant Field Values

    - #### CPU_QUACOMM_SMD450

          public static final java.lang.String CPU_QUACOMM_SMD450

      See Also:
        Constant Field Values

    - #### CPU_QUACOMM_SM6115

          public static final java.lang.String CPU_QUACOMM_SM6115

      See Also:
        Constant Field Values

    - #### CPU_QUACOMM_8953

          public static final java.lang.String CPU_QUACOMM_8953

      See Also:
        Constant Field Values

    - #### CPU_QUACOMM_8909

          public static final java.lang.String CPU_QUACOMM_8909

      See Also:
        Constant Field Values

    - #### CPU_QUACOMM_4350

          public static final java.lang.String CPU_QUACOMM_4350

      See Also:
        Constant Field Values

    - #### CPU_MTK_6765

          public static final java.lang.String CPU_MTK_6765

      See Also:
        Constant Field Values

    - #### CPU_MTK_8786

          public static final java.lang.String CPU_MTK_8786

      See Also:
        Constant Field Values

    - #### CPU_MTK_6735

          public static final java.lang.String CPU_MTK_6735

      See Also:
        Constant Field Values

    - #### CPU_MTK_6763

          public static final java.lang.String CPU_MTK_6763

      See Also:
        Constant Field Values

    - #### CPU_RK_3568

          public static final java.lang.String CPU_RK_3568

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Platform

          public Platform()